// $Id: dvinclude.C,v 1.3 2002/10/18 11:52:47 dvermeir Exp $
#include <stdexcept>
#include "includestream.h"

int
main(int argc,char *argv[]) {
/*
const char* usage = "\
dvinclude [directory...] 
  process #include directives, trying argument directories for
  #include <file> directives.
";
*/
try {
  std::list<std::string>	dirs;
  for (int i = 1; i<argc; ++i)
    dirs.push_back(argv[i]);

  Dv::Util::includestream is(std::cin, &dirs);
  std::cout << is.rdbuf();
  return 0;
  }
catch (std::exception& e) {
  std::cerr << "dvinclude: " << e.what() << std::endl;
  return 1;
  }
}

