#ifndef	DVUTIL_MAKEDAEMON_H
#define	DVUTIL_MAKEDAEMON_H
// $Id: makedaemon.h,v 1.7 2003/03/12 13:33:52 dvermeir Exp $
#include	<stdexcept>
/** \file 
 *  Defines the make_daemon() function which turns a
 *  process into a daemon. Tested on linux (using daemon())
 *  and solaris.
 */
namespace Dv {
namespace Util {
/** Make this process into a daemon.
 *  Become process session leader, close fd 0,1,2, no controlling
 *  terminal, chdir("/");
 *  @param pidfilename to which pid of daemon process will be written
 *       if the size of the filename is not 0.
 *  @exception runtime_error upon error.
 */
void  make_daemon(const std::string& pidfilename="") throw  (std::runtime_error);
} }
#endif
