// $Id: test-dir_tempfile.C,v 1.1 2002/10/18 14:21:09 dvermeir Exp $
#include <string>
#include <iostream>
#include "file.h"

int
main(int, char**) {
try {
  Dv::Util::Directory d(".");
  std::string tmpname(d.tempfile("test-dir_tempfile"));
  Dv::Util::File f(tmpname);
  if (!f.exists())
    throw std::runtime_error(tmpname + " does not exist");
  f.rm();
  }
catch (std::exception& e) {
  std::cerr << e.what() << std::endl;
  return 1;
  }
return 0;
}
