// $Id: test-props-read.C,v 1.2 2002/10/18 13:17:18 dvermeir Exp $
#include	<iostream>
#include	<exception>
#include	<fstream>
#include	<sstream>
#include	<stdexcept> // runtime_error

#include	"props.h"

char* strange_inputs[] = { "\n#comment\n\na=a\n\n# more comment\nb=b\n>b\n", 0 };
char* correct_inputs[] = { "\na=a\nb=b\n>b\n", 0 };

using namespace std;
using namespace Dv;
using namespace Util;


int 
main(int argc,char *argv[]) {
string	text;

using namespace Dv::Util;

try {
  for (int i=0; (strange_inputs[i] && correct_inputs[i]); ++i) {
    istringstream	iss1(strange_inputs[i]);
    istringstream	iss2(correct_inputs[i]);
    Props props1(iss1);
    Props props2(iss2);
    if (props1 != props2) {
      ostringstream oss;
      oss << i << ": error" << endl
           << props1 << "===" << props2 << endl;
      throw runtime_error(oss.str());
      }
    cout << i << ": ok" << endl << props1 << endl;
    }
  return 0;
  }
catch (exception& e) {
  cerr << e.what() << endl;
  return 1;
  }
return 0;
}

