// $Id: test-propscmp.C,v 1.1 2002/10/18 13:45:30 dvermeir Exp $

#include	<iostream>
#include	<exception>
#include	<fstream>
#include	<stdexcept> // runtime_error

#include	"props.h"

using namespace Dv::Util;
using namespace std;

int 
main(int argc,char *argv[]) {
string	text;


try {
  Dv::Util::Props	props1;
  Dv::Util::Props	props2;
  env2props(props1);

  if (props1==props2) 
    return 1;

  env2props(props2);
  if (props1!=props2)
    return 2;

  props2.erase("PATH");
  if (props1==props2) 
    return 1;

  props2.merge(props1);
  if (props1!=props2)
    return 3;

  props2["PATH"] = "";
  if (props1==props2) 
    return 4;

  }
catch (exception& e) {
  cerr << e.what() << endl;
  return 1;
  }
return 0;
}

