// $Id: test-strstr2str.C,v 1.1 2002/10/18 13:45:30 dvermeir Exp $

// test program for strstr2str functions

#include <iostream>
#include "strstr2str.h"

using namespace std;
using namespace Dv::Util;

int
main(int,char**) {
const unsigned int TRIES(100);

for (unsigned int i =0; i<TRIES; ++i) {
  ostrstream	oss;
  for (unsigned int j=0; j<1000000; ++j)
    oss << j << "\n";
  // uncommenting the following line causes a memory leak
  // string ss(oss.str()); 

  // the following line is the safe way
  string s(strstream2str(oss));
  cerr << "try " << i << " done\n";
  }
}
