// $Id: test-subst.C,v 1.2 2003/03/12 13:33:52 dvermeir Exp $

#include <fstream>
#include "props.h"

using namespace Dv::Util;
using namespace std;

int
main(int,char**) {
try {
  Props	props;
  props["name"] = "d'asome\\thing\"";
  props["age"] = 21;
  const string query(
    "select * from person where name='${name}' and age = %{age} 100\\%"
    );
  cout << "query=" << query << endl;
  cout << "subst=" << props.substitute(query) << endl;
  
  {
  ofstream ofs1("/tmp/tmp1.txt");
  ofs1 << query << endl;
  }
  ifstream ifs1("/tmp/tmp1.txt");
  props.substitute(ifs1,cout);
  cout << endl;
  }
catch (exception& e) {
  cerr << e.what() << endl;
  return 1;
  }
return 0;
}
