// $Id: test-tty.C,v 1.3 2002/10/18 13:17:18 dvermeir Exp $
#include <stdexcept>
#include "tty.h"

int
main(int, char**) {

Dv::Util::Tty tty(true,2000);

if (!tty) {
  std::cerr << "cannot open /dev/Tty" << std::endl;
  return 1;
  }
char c;

try {
  std::string line;
  tty << "type a password: ";
  getline(tty,line);
  std::cout << "passwd = " << line << std::endl;
  for (int i = 0; (i<3); ++i) {
    tty << "type a char: ";
    if (tty >> c)
      std::cout << "OK" << std::endl;
    else
      if (tty.timedout()) {
        std::cout << "TIMEDOUT" << std::endl;
	tty.reset();
        }
      else
        std::cout << "error" << std::endl;
    }
  tty << "type a string: ";
  std::getline(std::cin, line);
  tty << "type a number: ";
  int i;
  if (tty >> i)
    std::cout << "\n" << "the number is " << i << std::endl;
  else if (tty.timedout())
    std::cout << "TIMEDOUT" << std::endl;
  else
    std::cout << "error" << std::endl;
  }
catch (std::exception& e) {
  std::cerr << e.what() << std::endl;
  return 1;
  }
return 0;
}
