// $Id: test-user-passwd.C,v 1.1 2003/10/29 13:49:08 dvermeir Exp $

#include <iostream>
#include <stdexcept>
#include <string>

#include "user.h"

int
main(int argc, char* argv[]) {
const std::string usage("usage: test-user-passwd username passwd");
try {
  if (argc != 3)
    throw std::runtime_error(usage);

  Dv::Util::User user(argv[1]);

  if (! user.password(argv[2]) )
    throw std::runtime_error("bad passwd");

  std::cout << "OK" << std::endl;
  return 0;
  }
catch (std::exception& e) {
  std::cerr << e.what() << std::endl;
  return 1;
  }
}
