// $Id: nocomment.C,v 1.5 2003/07/14 11:47:47 dvermeir Exp $
#include "nocomment.h"
#include <stdexcept>

Dv::Util::nocommentstream::nocommentstream(std::istream& is): 
 std::istream(0), filter_(is) {
Dv::Util::filterstreambuf<NoCommentFilter> *sb(
  new Dv::Util::filterstreambuf<NoCommentFilter>(filter_)
  );
rdbuf(sb);
clear(sb->filter().state());
}

Dv::Util::nocommentstream::~nocommentstream() {
if (rdbuf())
  delete rdbuf();
}

Dv::Util::nocommentstream::NoCommentFilter::~NoCommentFilter() { 
}

int
Dv::Util::nocommentstream::NoCommentFilter::get() { 
if (is_ ) {
  int c = is_.get();
  if (c=='#') {
    while ( (is_) && (c!='\n') && (c!=EOF) )
      c = is_.get();
    }
  if (!is_)
    c = EOF;
  return c;
  }
else 
  return EOF;
}

std::ios::iostate
Dv::Util::nocommentstream::NoCommentFilter::state() const {
return is_.rdstate();
}
