// $Id: random.C,v 1.2 2002/10/18 10:51:37 dvermeir Exp $
// $Log: random.C,v $
// Revision 1.2  2002/10/18 10:51:37  dvermeir
// Saving..
//
// Revision 1.1  2001/07/09 05:48:14  dvermeir
// Added Dv::Util::Random class.
//
#include <fstream>

#include "random.h"


unsigned long
Dv::Util::Random::rand() throw (std::runtime_error) {
static const char* const fn = "/dev/urandom";
static std::ifstream	ifs(fn);
static const std::string NAME("Dv::Util::Random");
unsigned long	r;

if (!ifs)
  throw std::runtime_error(NAME + ": cannot open \"" + fn + "\"");
if (ifs.read(reinterpret_cast<char*>(&r),sizeof(r)))
  return r;
throw std::runtime_error(NAME + ": cannot read from \"" + fn + "\"");
}
