// $Id: systemerror.C,v 1.1 2003/03/12 12:56:19 dvermeir Exp $

#include <errno.h>
#include <string.h> // strerror()
#include "systemerror.h"

namespace Dv {
namespace Util {

const std::string SystemError::NAME("SystemError: ");

SystemError::SystemError(int error_code): 
  std::runtime_error(NAME + 
	             strerror(error_code ? error_code : (error_code=errno)) ),
  errno_(error_code) {
}

}}
