// $Id: test-date-week.C,v 1.1 2004/12/30 12:00:09 dvermeir Exp $
// A test program for the Date class

#include "date.h"
#include "tostring.h"

int
main(int,char**) {

try {
  // 30 dec 2004 is in week 53
  Dv::Util::Date  d(2004, 11, 30);
  if ( d.yweek() != 52 ) 
    throw std::runtime_error(d.str() + ": expected week 52, got " + Dv::Util::tostring(d.yweek()));
  }
catch (std::exception& e) {
  std::cerr << e.what() << std::endl;
  return 1;
  }
return 0;
}
