// $Id: test-enum2str.C,v 1.2 2003/04/12 12:54:49 dvermeir Exp $
#include <iostream>
#include "enum2str.h"

enum X { A, B, C};

const char* Dv::Util::enum_parser<X>::E_NAME("X");
Dv::Util::enum_parser<X>::enum_entry Dv::Util::enum_parser<X>::enum_table[] = {
  { A, "A" },
  { B, "B" },
  { C, "C" },
  { A, 0 }};

int
main() {
if (Dv::Util::enum2str(A) != "A")
  return 1;
if (Dv::Util::enum2str(B) != "B")
  return 1;
if (Dv::Util::enum2str(C) != "C")
  return 1;
if (Dv::Util::str2enum<X>("A") != A)
  return 1;
if (Dv::Util::str2enum<X>("B") != B)
  return 1;
if (Dv::Util::str2enum<X>("C") != C)
  return 1;
try {
  std::cout << Dv::Util::str2enum<X>("YX") << std::endl;
  return 1;
  }
catch (std::exception& e) {
  std::cout << e.what() << " [expected]" << std::endl;
  }
try {
  std::cout << Dv::Util::enum2str(static_cast<X>(67)) << std::endl;
  return 1;
  }
catch (std::exception& e) {
  std::cout << e.what() << " [expected]" << std::endl;
  }
return 0;
}

