// $Id: test-file-content.C.in,v 1.2 2003/09/08 13:23:23 dvermeir Exp $
#include <fstream>
#include <sstream>
#include "file.h"

int
main() {
try {
  const std::string fn("./test-include.0");
  Dv::Util::File f(fn);
  std::string s(f.content());
  std::ifstream ifs(fn.c_str());
  if (! ifs)
    throw std::runtime_error(fn + ": cannot open");
  std::ostringstream oss;
  oss << ifs.rdbuf();
  if (oss.str() != s )
    throw std::runtime_error("failed");
  return 0;
  }
catch (std::exception& e) {
  std::cerr << e.what() << std::endl;
  }
}
