// $Id: test-nocomment.C.in,v 1.2 2003/07/14 12:12:09 dvermeir Exp $
#include <fstream>
#include <sstream>
#include <stdexcept>

#include "nocomment.h"
#include "tostring.h"

int
main(int argc, char* argv[]) {
try {
  std::ifstream ifs("./test-nocomment.txt");
  if (!ifs)  
    return 1;
  Dv::Util::nocommentstream is(ifs);
  std::ostringstream oss;
  oss << is.rdbuf();
  std::string s(oss.str());
  if (s.size() != 25)
    throw std::runtime_error(Dv::Util::tostring(s.size()) + "read but 25 expected");
  if (s.find('#') != std::string::npos)
    throw std::runtime_error("input contains '#'!");
  }
catch (std::exception& e) {
  std::cerr << e.what() << std::endl;
  return 1;
  }
return 0;
}
