// $Id: test-period.C,v 1.1 2002/10/18 13:45:30 dvermeir Exp $

#include "period.h"

using namespace Dv;
using namespace std;

int
main(int, char**) {
Util::Date	now;
Util::Date	d(now);
Util::Duration	p = Util::Duration::weeks(1);
cout << d.str() << endl;

for (unsigned int i=0; (i<15); ++i) {
  d += p;
  cout << d.str() << endl;
  }

Util::Period	period(now,d);

cout << "start = " << now.str() << "\n"
     << "size   = " << period.size() << endl
     << "end   = " << period.end().str() << endl;

d.hours(d.hours() + 2);
d.minutes(d.minutes() + 2);
d.seconds(d.seconds() + 2);

Util::Period	q(now,d);

cout << "start = " << q.start().str() << "\n"
     << "size   = " << q.size() << "\n"
     << "end   = " << q.end().str() << endl;

Util::Date	d1(2000,0,31);
Util::Duration	m(Util::Duration::months(1));
Util::Period	pe(d1,m);

cout << "start = " << pe.start().str() << "\n"
     << "size   = " << pe.size() << "\n"
     << "end   = " << pe.end().str() << endl;

}
