// $Id: test-select.C,v 1.1 2002/10/18 13:45:30 dvermeir Exp $
// Test program for Dv::Util::Props::select() and Dv::Util::Props::merge()

#include	<iostream>
#include	<stdexcept> // runtime_error

#include	"props.h"
#include	"ntostr.h"

using namespace std;

using namespace Dv::Util;
int 
main(int argc,char *argv[]) {
string	text;


try {
  // 1. select
  Dv::Util::Props	props;
  const string scope("test");
  const string prefix(scope+"::");

  for (int i=0;(i<3);++i) // associate "99" with "99"
    props[prefix+ntostr(i)]=i;

  const string scope2("uest");
  const string prefix2(scope2+"::");
  for (int i=0;(i<3);++i) // associate "99" with "99"
    props[prefix2+ntostr(i)]=10+i;

  Dv::Util::Props	sprops;
  props.select(scope,sprops);

  // cerr << "Props:" << endl;
  // cerr << props << endl;
  cerr << "Selection:" << endl;
  cerr << sprops;
  // check whether all there
  for (int i=0;(i<3);++i)
    if (static_cast<int>(sprops[i])!=i) {
      throw runtime_error(string("select failed"));
      }
  // 2. merge
  props.merge(sprops);
  // cerr << "Merged props:" << endl;
  // cerr << props << endl;
  // 3. merge with self
  props.merge(sprops,"new");
  cerr << "Merged Props:" << endl;
  cerr << props;
  }
catch (exception& e) {
  cerr << e.what() << endl;
  return 1;
  }
return 0;
}

